#
# spec file for package agama-products-opensuse
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           agama-products-opensuse
#               This will be set by osc services, that will run after this.
Version:        9+212
Release:        2.1
Summary:        Definition of openSUSE products for the Agama installer
License:        GPL-2.0-only
URL:            https://github.com/opensuse/agama
BuildArch:      noarch
Source0:        agama.tar

%description
Products definition for Agama installer. This one is for opensuse products.

%prep
%autosetup -a0 -n agama

%build

%install
install -D -d -m 0755 %{buildroot}%{_datadir}/agama/products.d
install -m 0644 *.yaml %{buildroot}%{_datadir}/agama/products.d

%files
%doc README.md
%license LICENSE
%dir %{_datadir}/agama
%dir %{_datadir}/agama/products.d
%{_datadir}/agama/products.d/microos.yaml
%{_datadir}/agama/products.d/tumbleweed.yaml
%{_datadir}/agama/products.d/leap_160.yaml

%changelog
* Fri Jul 12 2024 Natasha Ament <stacheldrahtje@gmail.com>
- change url for leap_160.yaml due to typo
* Fri Jul 12 2024 Natasha Ament <stacheldrahtje@gmail.com>
- change url for leap_160.yaml to distribution
* Tue Jul  2 2024 Lubos Kocman <lubos.kocman@suse.com>
- Use specific flavor of openSUSE-repos for each distro
  (gh#openSUSE/agama#1424).
* Tue Jul  2 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Enable Leap 16.0 Alpha (gh#openSUSE/agama#1423).
* Wed Jun 26 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Temporarily remove Leap 16.0 Alpha from the list of products
  (gh#openSUSE/agama#1390).
* Wed Jun 26 2024 Ladislav Slezák <lslezak@suse.com>
- Remove the "32bit" pattern from openSUSE MicroOS
  (gh#openSUSE/agama#1381)
* Mon Jun 24 2024 Lubos Kocman <lubos.kocman@suse.com>
- Add Leap 16 (gh#openSUSE/agama#1371)
* Tue May 21 2024 Richard Brown <rbrown@suse.com>
- Remove definitions for MicroOS Desktop (gh#openSUSE/agama#1243).
* Mon Dec  4 2023 Ancor Gonzalez Sosa <ancor@suse.com>
- Preliminary definitions of openSUSE MicroOS products
- Remove Leap 16.0 for now
* Mon Oct 30 2023 Josef Reidinger <jreidinger@suse.com>
- Initial split of products (gh#openSUSE/agama#602,
  gh#openSUSE/agama#822)
